Loading...
Searching...
No Matches
InputGeneratorDialog Class Reference

The InputGeneratorDialog class provides a thin wrapper around InputGeneratorWidget for standalone use. More...

`#include <inputgeneratordialog.h>`

Inheritance diagram for InputGeneratorDialog:

## Public Slots

void | setMolecule (QtGui::Molecule *mol)

## Public Member Functions

| InputGeneratorDialog (QWidget *parent_=nullptr)
| InputGeneratorDialog (const QString &scriptFileName, QWidget *parent_=nullptr)
void | setInputGeneratorScript (const QString &scriptFilePath)
bool | configureBatchJob (BatchJob &batch)
InputGeneratorWidget & | widget ()
const InputGeneratorWidget & | widget () const

## Detailed Description

<avogadro/molequeue/inputgeneratordialog.h>

See also
  InputGenerator InputGeneratorWidget

## Member Function Documentation

## setInputGeneratorScript()

void setInputGeneratorScript | ( | const QString & | scriptFilePath | ) |

Use the input generator script pointed to by scriptFilePath.

Parameters

  scriptFilePath | Absolute path to generator script.

## widget() [1/2]

InputGeneratorWidget & widget | ( |  | ) |

Returns
  A reference to the internal InputGeneratorWidget.

## widget() [2/2]

const InputGeneratorWidget & widget | ( |  | ) | const

Returns
  A reference to the internal InputGeneratorWidget.

## configureBatchJob()

bool configureBatchJob | ( | BatchJob & | batch | ) |

     Used to configure batch jobs.

     When performing the same calculation on a number of molecules, this method
     will ask the user to configure a calculation using the current molecule and
     input generator settings. After the calculation settings are accepted, a
     MoleQueueDialog is used to set job options. Both calculation and job
     options are stored in the supplied BatchJob object.

     Errors are handled internally. User cancellation is indicated by this
     method returning false.

     To submit jobs using the configured options, call BatchJob::submitNextJob
     for each molecule.

     Typical usage:

BatchJob *batch = ...;
InputGeneratorDialog dlg(scriptFilePath, windowParent);
dlg.setMolecule(&refMol); // Representative molecule as placeholder in GUI.
dlg.configureBatchJob(*batch);
foreach(mol)
batch->submitNextJob(mol);
Avogadro::MoleQueue::BatchJob
The BatchJob class manages a collection of jobs that are configured using the same InputGenerator and...
Definition batchjob.h:34
Avogadro::MoleQueue::BatchJob::submitNextJob
virtual BatchId submitNextJob(const Core::Molecule &mol)

## setMolecule

void setMolecule | ( | QtGui::Molecule * | mol | ) |

slot

Set the molecule used in the simulation.

The documentation for this class was generated from the following file:

- inputgeneratordialog.h